Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.action.swing
Class ActionSupport

    java.lang.Object
      com.eviware.soapui.support.action.swing.ActionSupport

    public class ActionSupport

extends java.lang.Object

ActionList-related utilities

Author:
  Ole.Matzura

Nested Class Summary
`static class` | `ActionSupport.ActionListAction`

Field Summary
`static javax.swing.Action` | `SEPARATOR_ACTION`

Constructor Summary
`ActionSupport()`

Method Summary
`static void` | `addActions(ActionList actionList, com.jgoodies.forms.builder.ButtonBarBuilder builder)`
`static javax.swing.JMenu` | `addActions(ActionList actions, javax.swing.JMenu menu)`
`static javax.swing.JPopupMenu` | `addActions(ActionList actions, javax.swing.JPopupMenu popup)`
`static void` | `addActions(ActionList actionList, JXToolBar toolbar)`
`static javax.swing.JMenu` | `buildMenu(ActionList actions)`
`static javax.swing.JPopupMenu` | `buildPopup(ActionList actions)`
`static javax.swing.JPopupMenu` | `insertActions(ActionList actions, javax.swing.JPopupMenu popup, int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEPARATOR_ACTION

    public static final javax.swing.Action SEPARATOR_ACTION

Constructor Detail

### ActionSupport

    public ActionSupport()

Method Detail

### buildPopup

    public static javax.swing.JPopupMenu buildPopup(ActionList actions)

### buildMenu

    public static javax.swing.JMenu buildMenu(ActionList actions)

### addActions

    public static javax.swing.JPopupMenu addActions(ActionList actions,
                                                    javax.swing.JPopupMenu popup)

### addActions

    public static javax.swing.JMenu addActions(ActionList actions,
                                               javax.swing.JMenu menu)

### insertActions

    public static javax.swing.JPopupMenu insertActions(ActionList actions,
                                                       javax.swing.JPopupMenu popup,
                                                       int index)

### addActions

    public static void addActions(ActionList actionList,
                                  com.jgoodies.forms.builder.ButtonBarBuilder builder)

### addActions

    public static void addActions(ActionList actionList,
                                  JXToolBar toolbar)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.